Log4JLogSystem (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.log.Log4JLogSystem class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class Log4JLogSystem

    java.lang.Object
      org.apache.velocity.runtime.log.Log4JLogChute
          org.apache.velocity.runtime.log.Log4JLogSystem

All Implemented Interfaces:
  LogChute, LogSystem

Deprecated. Use Log4JLogChute instead.

public class Log4JLogSystem
extends Log4JLogChute
implements LogSystem

Implementation of a simple log4j system that will either latch onto an existing category, or just do a simple rolling file log. Use this one rather than `SimpleLog4JLogSystem`; it uses the modern `Logger` concept of Log4J, rather than the deprecated `Categeory` concept.

Since:
  Velocity 1.5
Version:
  $Id: Log4JLogSystem.java 463298 2006-10-12 16:10:32Z henning $
Author:
  Daniel L. Rall,

  Field Summary

  Fields inherited from class org.apache.velocity.runtime.log.Log4JLogChute
  `logger, RUNTIME_LOG_LOG4J_LOGGER, RUNTIME_LOG_LOG4J_LOGGER_LEVEL`

  Fields inherited from interface org.apache.velocity.runtime.log.LogSystem
  `DEBUG_ID, DEBUG_ON, ERROR_ID, INFO_ID, WARN_ID`

  Fields inherited from interface org.apache.velocity.runtime.log.LogChute
  `DEBUG_ID, DEBUG_PREFIX, ERROR_ID, ERROR_PREFIX, INFO_ID, INFO_PREFIX, TRACE_ID, TRACE_PREFIX, WARN_ID, WARN_PREFIX`

  Constructor Summary
  `Log4JLogSystem()` Deprecated.

  Method Summary
  `void` | `logVelocityMessage(int level, String message)` Deprecated. Use log(level, message).

  Methods inherited from class org.apache.velocity.runtime.log.Log4JLogChute
  `finalize, init, isLevelEnabled, log, log, shutdown`

  Methods inherited from class java.lang.Object
  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Methods inherited from interface org.apache.velocity.runtime.log.LogSystem
  `init`

  Constructor Detail

  ### Log4JLogSystem

      public Log4JLogSystem()

    Deprecated.

  Method Detail

  ### logVelocityMessage

      public void logVelocityMessage(int level,
                                     String message)

    Deprecated. Use log(level, message).

    Specified by:
      `logVelocityMessage` in interface `LogSystem`
    Parameters:
      `level` -
      `message` -

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.